<bugID>1218992<Summary>Move code for decisioning to remote page</Summary><Description>Most of RemoteNewTabUtils and all of DirectoryLinksProvider goes away in favor of raw calls from PlacesProvider, PrefsHandler, etc</Description></bugID>